

/* Encapsular los estilos dentro de .ficha-tecnica */
.ficha-tecnica .ficha-container {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 50%;
    max-width: 800px;
    background-color: #1a1a1a;
    color: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 1001;
    display: none;
    overflow-y: auto;
    max-height: 85vh;
}

.ficha-tecnica .ficha-title {
    font-size: 18px; /* Tamaño del título */
    line-height: 1.3em; /* Espacio entre líneas del título */
    margin-bottom: 10px;
    border-bottom: 2px solid #444;
    padding-bottom: 5px;
}

.ficha-tecnica .ficha-item {
    margin-bottom: 20px;
    padding: 10px;
    background-color: #2a2a2a;
    border-radius: 5px;
    border: 1px solid #444;
}

.ficha-tecnica .ficha-text {
    margin: 5px 0;
    font-size: 14px; /* Tamaño reducido para el texto de la ficha */
    line-height: 1.2em; /* Reducir el espacio entre líneas del texto */
    color: #ccc;
    text-align: justify; /* Justificar el texto */
}

.ficha-tecnica .acuneaciones-table {
    width: 85%;
    border-collapse: collapse;
    margin-top: 20px;
    margin-left: auto;
    margin-right: auto;
}

.ficha-tecnica .acuneaciones-table th, 
.ficha-tecnica .acuneaciones-table td {
    padding: 5px;
    text-align: center;
    font-size: 13px; /* Tamaño reducido para el texto de la tabla */
    line-height: 1.2em; /* Reducir el espacio entre líneas en la tabla */
    border-bottom: 1px solid #444;
}

.ficha-tecnica .acuneaciones-table th {
    background-color: #333;
    font-size: 14px; /* Tamaño reducido para los encabezados de la tabla */
    color: white;
}

.ficha-tecnica .acuneaciones-table td {
    background-color: #1a1a1a;
    color: white;
}

.ficha-tecnica #overlay_5 {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    display: none;
    z-index: 1000;
}

/* Botón para mostrar el panel */
.ficha-tecnica .btn-calculadora {
    display: inline-block;
    background-color: #333;
    color: white;
    padding: 10px 15px;
    font-size: 14px;
    border-radius: 5px;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.ficha-tecnica .btn-calculadora:hover {
    background-color: #444;
}

.ficha-tecnica .btn-calculadora img {
    margin-right: 8px;
    width: 24px;
    height: 24px;
}
